<!DOCTYPE html>
<html><head>
<title>eric7.MicroPython.Devices</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.MicroPython.Devices</h1>
<p>
Package containing the device interface modules and device specific dialogs.
</p>


<h3>Packages</h3>
<table>

<tr>
<td><a href="index-eric7.MicroPython.Devices.CircuitPythonUpdater.html">CircuitPythonUpdater</a></td>
<td>Package implementing the updater and associated dialogs.</td>
</tr>
<tr>
<td><a href="index-eric7.MicroPython.Devices.EspDialogs.html">EspDialogs</a></td>
<td>Package implementing dialogs used by the EspDevices module.</td>
</tr>
</table>

<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.MicroPython.Devices.CircuitPythonDevices.html">CircuitPythonDevices</a></td>
<td>Module implementing the device interface class for CircuitPython boards.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.DeviceBase.html">DeviceBase</a></td>
<td>Module implementing some utility functions and the MicroPythonDevice base class.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.EspDevices.html">EspDevices</a></td>
<td>Module implementing the device interface class for ESP32 and ESP8266 based boards.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.GenericMicroPythonDevices.html">GenericMicroPythonDevices</a></td>
<td>Module implementing the device interface class for generic MicroPython devices (i.e.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.MicrobitDevices.html">MicrobitDevices</a></td>
<td>Module implementing the device interface class for BBC micro:bit and Calliope mini boards.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.PyBoardDevices.html">PyBoardDevices</a></td>
<td>Module implementing the device interface class for PyBoard boards.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.RP2040Devices.html">RP2040Devices</a></td>
<td>Module implementing the device interface class for RP2040 based boards (e.g.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.STLinkDevices.html">STLinkDevices</a></td>
<td>Module implementing the device interface class for STM32 STLink boards.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.TeensyDevices.html">TeensyDevices</a></td>
<td>Module implementing the device interface class for Teensy boards with MicroPython.</td>
</tr>
<tr>
<td><a href="eric7.MicroPython.Devices.__init__.html">Devices</a></td>
<td>Package containing the device interface modules and device specific dialogs.</td>
</tr>
</table>
</body></html>
